Service Overrides
This contains APIs related to Service Overrides V2
Account Identifier for the Entity.
This is the Service Override Request entity defined in Harness
Organization Identifier for the Entity.
Project Identifier for the Entity.
Environment Reference for the Entity.
Service Reference for Entity
infraIdentifier
clusterIdentifier
Type of the override which is based on source of overrides
Service Overrides Identifier. Can be user-provided during creation; if omitted, auto-generated from environmentRef, serviceRef, and infraIdentifier based on override type.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the created ServiceOverride
POST /gateway/ng/api/serviceOverrides?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 650
{
"orgIdentifier": "defaultOrgId",
"projectIdentifier": "defaultProjId",
"environmentRef": "defaultEnvRef",
"serviceRef": "defaultServiceRef",
"infraIdentifier": "defaultInfraId",
"type": "ENV_SERVICE_OVERRIDE",
"spec": {
"variables": [
{
"name": "v1",
"type": "String",
"value": "val1"
}
],
"manifests": [
{
"manifest": {
"identifier": "manifest1",
"type": "K8sManifest",
"spec": {
"store": {
"type": "Github",
"spec": {
"connectorRef": "abcdConnector",
"gitFetchType": "Branch",
"paths": [
"files1"
],
"repoName": "abcd",
"branch": "master"
}
},
"skipResourceVersioning": false
}
}
}
],
"configFiles": [
{
"configFile": {
"identifier": "configFile1",
"spec": {
"store": {
"type": "Harness",
"spec": {
"files": [
"/abcd"
]
}
}
}
}
}
]
}
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
This is the Service Override Request entity defined in Harness
Organization Identifier for the Entity.
Project Identifier for the Entity.
Environment Reference for the Entity.
Service Reference for Entity
infraIdentifier
clusterIdentifier
Type of the override which is based on source of overrides
Service Overrides Identifier. Can be user-provided during creation; if omitted, auto-generated from environmentRef, serviceRef, and infraIdentifier based on override type.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the updated ServiceOverride
PUT /gateway/ng/api/serviceOverrides?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Content-Type: application/json
Accept: */*
Content-Length: 650
{
"orgIdentifier": "defaultOrgId",
"projectIdentifier": "defaultProjId",
"environmentRef": "defaultEnvRef",
"serviceRef": "defaultServiceRef",
"infraIdentifier": "defaultInfraId",
"type": "ENV_SERVICE_OVERRIDE",
"spec": {
"variables": [
{
"name": "v1",
"type": "String",
"value": "val1"
}
],
"manifests": [
{
"manifest": {
"identifier": "manifest1",
"type": "K8sManifest",
"spec": {
"store": {
"type": "Github",
"spec": {
"connectorRef": "abcdConnector",
"gitFetchType": "Branch",
"paths": [
"files1"
],
"repoName": "abcd",
"branch": "master"
}
},
"skipResourceVersioning": false
}
}
}
],
"configFiles": [
{
"configFile": {
"identifier": "configFile1",
"spec": {
"store": {
"type": "Harness",
"spec": {
"files": [
"/abcd"
]
}
}
}
}
}
]
}
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Retrieves a Service Override by its identifier. The identifier can be user-provided during creation, or if not provided, it is auto-generated based on the override type: ENV_GLOBAL_OVERRIDE = environmentRef, ENV_SERVICE_OVERRIDE = environmentRef_serviceRef, INFRA_GLOBAL_OVERRIDE = environmentRef_infraIdentifier, INFRA_SERVICE_OVERRIDE = environmentRef_serviceRef_infraIdentifier. Dots in refs are replaced with underscores.
Service Overrides Identifier. Can be user-provided during creation; if omitted, auto-generated from environmentRef, serviceRef, and infraIdentifier based on override type.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns the Service Override by the identifier and scope derived from accountId, org identifier and project identifier
GET /gateway/ng/api/serviceOverrides/{identifier}?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Service Overrides Identifier. Can be user-provided during creation; if omitted, auto-generated from environmentRef, serviceRef, and infraIdentifier based on override type.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns true if the Service Override is deleted
DELETE /gateway/ng/api/serviceOverrides/{identifier}?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Identifier of Connector needed for CRUD operations on the respective Entity
Name of the repository.
Name of the branch.
File Path of the Entity.
File Path of the Entity.
Checks the new branch
falseName of the default branch.
Is Harness code repo enabled
falseTells weather the entity has to be moved from inline to remote or remote to inline
Environment Reference for the Entity.
Service Reference for Entity
infraIdentifier
Type of the override which is based on source of overrides
Service Overrides Identifier. Can be user-provided during creation; if omitted, auto-generated from environmentRef, serviceRef, and infraIdentifier based on override type.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Fetches ServiceOverride YAML from Harness DB and creates a remote entity or Fetches ServiceOverride YAML from remote repository and creates a inline entity
POST /gateway/ng/api/serviceOverrides/move-config?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Update git-metadata in remote ServiceOverride and returns the identifier of updated ServiceOverride
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Service Overrides Identifier. Can be user-provided during creation; if omitted, auto-generated from environmentRef, serviceRef, and infraIdentifier based on override type.
Environment Reference for the Entity.
Service Reference for Entity
infraIdentifier
Type of the override which is based on source of overrides
Identifier of Connector needed for CRUD operations on the respective Entity
Name of the repository.
File Path of the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns identifier and associated environmentRef, serviceRef and infraIdentifier of updated ServiceOverride
PUT /gateway/ng/api/serviceOverrides/update-git-metadata?accountIdentifier=text HTTP/1.1
Host: ng-manager-7b6bb5bdbc-5jxjn
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?